define(['jquery', 'underscore', 'backbone', 'controls/footer/footer', 'controls/header/header', 'classes/profile'],
function($, _, Backbone, Footer, Header, Profile){

  var BaseView = Backbone.View.extend({
    
    id: "",
    header: null,
    footer: null,
    created: true,
    
    initialize: function () {
        this.header = new Header({ title: "Il Lievitario"});
        this.footer = new Footer();
        if( this.id !== "")
        {
            var el = $('#' + this.id);
            if(el.length !== 0)
            {
                this.created = false;
                this.setElement(el);
            }
        }
    },
    
    isStayInPage:function(){
        return true;
    },
    
    render: function(){
        if(this.created === true)
        {
            this.header.render();
            this.footer.render();        
            //add the attribute 'data-role="page" ' for each view's div
            this.$el.attr('data-role', 'page');
            this.$el.attr('data-theme', Profile.data.tema);
            this.$el.attr('stay-in-page', this.isStayInPage());
            this.$el.attr('id', this.id);
        }
    },    
    onShowing: null,
    onShowed: null,
    onClosing: null,
    onClosed: null
  });
  return BaseView;
});